with t as
(
  select username, logoff_time, 
     (logoff_time - logon_time)*24 hours_connected
  from dba_audit_trail
)
select username, 
  min(hours_connected) min_hr,
  max(hours_Connected) max_hr,
  avg(hours_connected) avg_hr
from t
/
